Bug 4495 - Support "Dell Wyse Enhanced Ubuntu Linux"
Summary: Support "Dell Wyse Enhanced Ubuntu Linux"
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Client platforms (show other bugs)
Version: trunk
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.3.0
Assignee: Peter Åstrand
URL:
Keywords: ossman_tester, relnotes
Depends on: 5181
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-30 10:12 CET by Karl Mikaelsson
Modified: 2014-10-07 12:58 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Mikaelsson cendio 2012-11-30 10:12:14 CET
http://www.wyse.com/products/cloud-clients/firmware/ubuntu-linux

The only supported terminal for this OS right now is the T50, which is an *ARM*-based client. http://www.wyse.com/sites/default/files/products/spec_sheets_2012-05/Dell-Wyse-T-class-IA.pdf has more information. The Ubuntu platform uses some kind of deb packaging.
Comment 1 Peter Åstrand cendio 2014-01-15 13:08:24 CET
How to unpack firmware:

* Download 20120203-0_U-1.028_T50_merlin.exe or similar. 

* Run in Wine. 

* Go to /home/$USER/.wine/drive_c/WDM Packages/20120203-0_U-1.028_T50_merlin/20120203-0_U-1.028_T50_merlin/20120203-0_U-1.028_T50_merlin

* Unpack main partition:
lzmadec par3.img  > par3.foo

* Mount:
 sudo mount -o loop,ro par3.foo /mnt
Comment 2 Peter Åstrand cendio 2014-07-07 13:05:55 CEST
Fixed by documentation in 29178.

Tested successfully:

* Sound
* Local drives
* Printing
* Smart cards
Comment 3 Pierre Ossman cendio 2014-07-17 13:15:47 CEST
Settings are not retained across reboots. It seems /home is tmpfs, so it's not a good place for persistent configuration.
Comment 4 Peter Åstrand cendio 2014-08-27 11:02:20 CEST
(In reply to comment #3)
> Settings are not retained across reboots. It seems /home is tmpfs, so it's not
> a good place for persistent configuration.

We should probably automatically create symlinks into /wfs, which is in turn a symlink to /etc/wyseroot. In order to do this, we need to verify how things works on Wyse Enhanced Suse Linux. Unfortunately, our terminal has stopped working. Trying to reflash. It's marked as Z60D but rumor says it is actually a Z50D. But in any case, it does not accept a Z50D firmware imaage.
Comment 5 Peter Åstrand cendio 2014-08-28 10:17:19 CEST
(In reply to comment #3)
> Settings are not retained across reboots. It seems /home is tmpfs, so it's not
> a good place for persistent configuration.

Fixed in r29300.
Comment 6 Pierre Ossman cendio 2014-10-01 13:54:15 CEST
Seems to work fine. Tested:

 * Sound
 * Smart card
 * Local drives
 * Local printer